package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 测试场景包
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenePackageSublistVO implements Serializable {

    private String sublistId  ;//主键Id
    private String sublistName ; //指标名称
    private String weight;//权重
    private String ruleName ; //规则名称
    private Integer sceneNum;//场景数量
    private String parentId;//父节点id
    private String rootId;//根id
    private int packageLevel;//级别
    private String remarks;//备注
    private int seq;//在当前层级下的顺序，由小到大
    private List<ScenePackageSublistVO>  list;

}