package com.css.simulation.resource.scene.mapper;

import api.common.pojo.po.scene.ScenePackageSublistPO;
import api.common.pojo.vo.scene.ScenePackageSublistVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface ScenePackageSublistMapper {

   void saveScenePackageSublist(ScenePackageSublistPO params);
   void saveScenePackageSublistAll(List<ScenePackageSublistPO> list);
   void updateScenePackageSublist(String  rootId);
   void deleteScenePackageSublist(String  rootId);

   List<ScenePackageSublistVO> queryScenePackageSublistList(ScenePackageSublistPO params);

}
